package main

import (
    "log"
    "net/http"

    "git.snrd.de/Spaenny/postgres"
    "git.snrd.de/Spaenny/web"
)

func main() {
    dsn := "postgres://postgres:secret@localhost/postgres?sslmode=disable"

    store, err := postgres.NewStore(dsn)
    if err != nil {
        log.Fatal(err)
    }

    h := web.NewHandler(store)
    http.ListenAndServe(":3000, h)
}
